<?php
/**
 * mxBoard, pragmaMx Module
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 1.5 $
 * $Author: tora60 $
 * $Date: 2012-04-04 08:49:21 $
 */

defined('mxMainFileLoaded') or die('access denied');

$thismodname = basename(dirname(dirname(__FILE__)));

if (mxModuleAllowed($thismodname)) {
    defined('MXB_INIT')
    or define('MXB_INIT', true);

    defined('MXB_SETTINGSFILE')
    or include_once(dirname(dirname(__file__)) . DS . 'includes' . DS . 'initvar.php');

    global $table_members;
    include(MXB_SETTINGSFILE);

    if (!isset($table_members)) {
        return false;
    }

    $res = sql_query("SELECT username FROM $table_members WHERE username='" . mxAddSlashesForSQL($userinfo['uname']) . "'");
    list($tmpusername) = sql_fetch_row($res);

    if (!$tmpusername) {
        return false;
    }

    defined('MXB_LANGFILE_INCLUDED') or mxGetLangfile($thismodname);

    $item[] = array(/* Attribute */
        'link' => 'modules.php?name=' . $thismodname . '&amp;file=member&amp;action=viewpro&amp;member=' . $userinfo['uname'],
        'caption' => _MXBBOARDPROFILE,
        'image' => PMX_MODULES_PATH . $thismodname . '/images/folder_user.png',
        'tabname' => 'mxb' . $thismodname,
        // 'title' => $langtmp['pmx_profile'],
        );
}

?>